summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorlrknox <lrknox>2016-10-24 19:17:24 (GMT)
committerlrknox <lrknox>2016-10-24 19:17:24 (GMT)
commit62232e9120a799f710e89eba86831c37d4096702 (patch)
treedb02062dc09acb4343b813d11a203fcf9e304472 /bin
parent582bc9481ffdebfd1578cb828c7e7aaefaff02c6 (diff)
downloadhdf5-62232e9120a799f710e89eba86831c37d4096702.zip
hdf5-62232e9120a799f710e89eba86831c37d4096702.tar.gz
hdf5-62232e9120a799f710e89eba86831c37d4096702.tar.bz2
Translate svn commands and references to git.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/bbrelease10
-rwxr-xr-xbin/chkcopyright2
-rwxr-xr-xbin/release6
3 files changed, 9 insertions, 9 deletions
diff --git a/bin/bbrelease b/bin/bbrelease
index c5d562e..b06b243 100755
--- a/bin/bbrelease
+++ b/bin/bbrelease
@@ -190,7 +190,7 @@ today=`date +%Y%m%d`
pmode='no'
revmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -334,7 +334,7 @@ done
# trunk is different than branches.
if [ "${DOCVERSION}" ]; then
- DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/branches/${DOCVERSION}
+ DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git -b ${DOCVERSION}
fi
# Create the tar file
@@ -371,11 +371,11 @@ for comp in $methods; do
;;
doc)
if [ "${DOCVERSION}" = "" ]; then
- DOCVERSION=trunk
+ DOCVERSION=master
fi
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version
diff --git a/bin/chkcopyright b/bin/chkcopyright
index 07fcb24..f6e910d 100755
--- a/bin/chkcopyright
+++ b/bin/chkcopyright
@@ -30,7 +30,7 @@ DIFF="diff"
INITFILE=.h5chkright.ini
EXCEPTIONS=/tmp/h5chkright.except.$$
tmpfile=/tmp/h5chkright_tmp.$$
-EXCEPTIONDIRS="-name CVS -o -name .svn" # at least skip CVS directories.
+EXCEPTIONDIRS="-name .git" # at least skip .git directories.
EXTRACTEDFILE=/tmp/h5chkright.extracted.$$
VERBOSE= # default no
FIXIT= # default no
diff --git a/bin/release b/bin/release
index 1d3c9c5..08779cb 100755
--- a/bin/release
+++ b/bin/release
@@ -168,7 +168,7 @@ release_date=`date +%F`
today=`date +%Y%m%d`
pmode='no'
tmpdir="../#release_tmp.$$" # tmp work directory
-DOC_URL=http://svn.hdfgroup.uiuc.edu/hdf5doc/trunk
+DOC_URL=https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5doc.git
CPPLUS_RM_NAME=cpplus_RM
# Restore previous Version information
@@ -316,8 +316,8 @@ for comp in $methods; do
;;
doc)
test "$verbose" && echo " Creating docs..." 1>&2
- # Check out docs from svn repo
- (cd $tmpdir; svn co $DOC_URL > /dev/null) || exit 1
+ # Check out docs from git repo
+ (cd $tmpdir; git clone $DOC_URL > /dev/null) || exit 1
# Create doxygen C++ RM
(cd c++/src && doxygen cpp_doc_config > /dev/null ) || exit 1
# Replace version of C++ RM with just-created version